// VTC6210_IO_API V1.7 2017/08/17
#define VTC6210_IO_API extern "C" _declspec(dllimport)



VTC6210_IO_API void Get_DLL_Version(int* nMajorVersion, int* nMinorVersion);

VTC6210_IO_API int  Library_Initial(); // Initial Library    // return = 0 => Failed, return = 1 => Success
VTC6210_IO_API void Library_Release(); // Release Library

VTC6210_IO_API int  LED_Control_GetIgnition();               // return = 0 => OFF, return = 1 => ON
VTC6210_IO_API int  Car_Battery_GetStatus();                 // return = 0 => OK, return = 1 => Low voltage

VTC6210_IO_API void WDT_Switch(int nStatus);           // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void WDT_Time_Setting(int nData);       // nData = 0 =>   1 sec
                                                       // nData = 1 =>   2 sec
                                                       // nData = 2 =>   4 sec
                                                       // nData = 3 =>   8 sec
                                                       // nData = 4 =>  16 sec
                                                       // nData = 5 =>  32 sec
                                                       // nData = 6 =>  64 sec
                                                       // nData = 7 => 128 sec
                                                       // nData = 8 => 256 sec
VTC6210_IO_API void WDT_Clear_Timer(void);             // clear WDT timer

VTC6210_IO_API void Module_Wireless_WAN_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void Module_Wireless_LAN_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

VTC6210_IO_API void EXTERNAL_12V_Power(int nStatus);          // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void Bypass_Car_Battery_Power(int nStatus);    // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

VTC6210_IO_API void Wake_On_Wireless_WAN_Switch(int nStatus); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void Wake_On_RTC_Switch_Setting(int nStatus, unsigned char nHour, unsigned char nMinute); // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                                                                         // nData => the hour value(hexadecimal)
                                                                                                         // nData => the minute value(hexadecimal)

VTC6210_IO_API void SerialPort_Select(int nData);             // nData = 0 => RS422. nData = 1 => RS485

VTC6210_IO_API void Power_On_Delay_Setting(int nStatus, int nTime);     // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                                        // nTime = 0 => 10 sec
                                                                        // nTime = 1 => 30 sec
                                                                        // nTime = 2 =>  1 min
                                                                        // nTime = 3 =>  5 min
                                                                        // nTime = 4 => 10 min
                                                                        // nTime = 5 => 15 min
                                                                        // nTime = 6 => 30 min
                                                                        // nTime = 7 =>  1 hour

VTC6210_IO_API void Power_Off_Delay_Setting(int nStatus, int nTime);     // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
                                                                         // nTime = 0 => 20 sec
                                                                         // nTime = 1 =>  1 min
                                                                         // nTime = 2 =>  5 min
                                                                         // nTime = 3 => 10 min
                                                                         // nTime = 4 => 30 min
                                                                         // nTime = 5 =>  1 hour
                                                                         // nTime = 6 =>  6 hour
                                                                         // nTime = 7 => 18 hour

VTC6210_IO_API int Voltage_Get();                      // return = 0 => 9V~36V
                                                       // return = 1 => 9V~36V
                                                       // return = 2 => 24V
                                                       // return = 3 => 12V
VTC6210_IO_API void Voltage_Select_Setting(int nData); // When input Voltage 12 V
                                                       //   nData = 0 => Startup 11.5V Shutdown 10.5V
                                                       //   nData = 1 => Startup 12V   Shutdown 11V
                                                       //   nData = 2 => Startup 12.5V Shutdown 11V
                                                       //   nData = 3 => Startup 12.5V Shutdown 11.5V
                                                       // When input Voltage 24 V
                                                       //   nData = 0 => Startup 23V Shutdown 21V
                                                       //   nData = 1 => Startup 24V Shutdown 22V
                                                       //   nData = 2 => Startup 25V Shutdown 22V
                                                       //   nData = 3 => Startup 25V Shutdown 23V

VTC6210_IO_API int  Voltage_Get_Value();               // return voltage

VTC6210_IO_API void CANbus_Reset(int nData);              // nData = 0 => Don't care. nData = 1 => Reset CAN Module
VTC6210_IO_API void CANbus_Power_Reset(int nData);        // nData = 0 => Don't care. nData = 1 => Reset CAN Module Power
VTC6210_IO_API int  CANbus_Read_Data_link_detect();       // return = 0 => No data transfer. return = 1 => Data link (auto detect)

VTC6210_IO_API unsigned char MCU_Get_Version();			  // return MCU version
VTC6210_IO_API unsigned char GAL_Get_Version();			  // return GAL version

VTC6210_IO_API void GPIO_SetGPO_1(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_2(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_3(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_4(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_5(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_6(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_7(int nData);          // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void GPIO_SetGPO_8(int nData);          // nData = 0 => Low, nData = 1 => High

VTC6210_IO_API int  GPIO_ReadGPI_1();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_2();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_3();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_4();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_5();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_6();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_7();                  // return = 0 => Low, return = 1 => High
VTC6210_IO_API int  GPIO_ReadGPI_8();                  // return = 0 => Low, return = 1 => High

VTC6210_IO_API void GPIO_SetGPIO_Status_1(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_2(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_3(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_4(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_5(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_6(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_7(int nData);  // nData = 0 => GPI, nData = 1 => GPO
VTC6210_IO_API void GPIO_SetGPIO_Status_8(int nData);  // nData = 0 => GPI, nData = 1 => GPO

VTC6210_IO_API int  GPIO_ReadGPIO_Status_1();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_2();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_3();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_4();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_5();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_6();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_7();          // return = 0 => GPI, return = 1 => GPO
VTC6210_IO_API int  GPIO_ReadGPIO_Status_8();          // return = 0 => GPI, return = 1 => GPO

VTC6210_IO_API void Module_Wireless_LAN_DIS2_L_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void Module_Wireless_LAN_DIS3_L_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

VTC6210_IO_API void Module_USB2Con_Power_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE
VTC6210_IO_API void Module_USB3Con_Power_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

VTC6210_IO_API void Module_GPS_Power_Switch(int nStatus);  // nStatus = 0 => DISABLE, nStatus = 1 => ENABLE

VTC6210_IO_API void MCU_GPIO_SetGPO_Status_1(int nData);   // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API void MCU_GPIO_SetGPO_Status_2(int nData);   // nData = 0 => Low, nData = 1 => High
VTC6210_IO_API int  MCU_GPIO_ReadGPI_Status_1();           // return = 0 or 1
VTC6210_IO_API int  MCU_GPIO_ReadGPI_Status_2();           // return = 0 or 1
VTC6210_IO_API int  MCU_GPIO_ReadPANIC_Status();           // return = 0 or 1
VTC6210_IO_API void MCU_GPIO_PANIC_Status_Clear();         // Clear PANIC Status

VTC6210_IO_API int  Product_Get_Name();                    // return = 000=VTC ; 001=VMC ; 010=nROK
VTC6210_IO_API int  Product_Get_Serial_number();           // return = 00001=VTC1010 ; 00010=VTC6210 ; 00011=VTC7110-BIS ; 00100=VTC7200

VTC6210_IO_API void SIM_CARD_Switch_Internal_or_External(int nSIM_Status, int nSIM_Num);  // nSIM_Status = 0 => Internal SIM CARD(*), nSIM_Status = 1 => External SIM CARD(SIM CARD2)
                                                                                          // nSIM_Num = 0 => SIM CARD 1, nSIM_Num = 1 => SIM CARD 2
